Delete Webhook
curl --request DELETE \
--url https://api.swoogo.com/api/v1/webhooks/delete/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://api.swoogo.com/api/v1/webhooks/delete/{webhook_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.delete(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://api.swoogo.com/api/v1/webhooks/delete/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Webhooks
Delete Webhook
Permanently deletes a webhook configuration by its ID. The webhook will immediately stop sending HTTP callbacks for its trigger event type.
DELETE
/
webhooks
/
delete
/
{webhook_id}
Delete Webhook
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the webhook you want to delete
Example:
1
Body
application/x-www-form-urlencoded
The body is of type object.
Response
⌘I